load Data_RST_full.txt -ASCII

subplot(2,1,1)
plot(Data_RST_full(:,1),Data_RST_full(:,2),'k','linewidth',1.5)
hold on
plot(Data_RST_full(:,1),Data_RST_full(:,4),'k-.','linewidth',1.5)
subplot(2,1,2)
plot(Data_RST_full(:,1),Data_RST_full(:,3),'k-.','linewidth',1.5)
hold on


load Data_RST_33.txt -ASCII

subplot(2,1,1)
plot(Data_RST_33(:,1),Data_RST_33(:,4),'k:','linewidth',1.5)
subplot(2,1,2)
plot(Data_RST_33(:,1),Data_RST_33(:,3),'k:','linewidth',1.5)
hold on


load Data_RST_PID1.txt -ASCII

subplot(2,1,1)
plot(Data_RST_PID1(:,1),Data_RST_PID1(:,4),'k--','linewidth',1.5)
hold on
subplot(2,1,2)
plot(Data_RST_PID1(:,1),Data_RST_PID1(:,3),'k--','linewidth',1.5)
hold on


load Data_RST_PID2.txt -ASCII

subplot(2,1,1)
plot(Data_RST_PID2(:,1),Data_RST_PID2(:,4),'r:','linewidth',1.5)
hold on
%axis([5 25 -0.2 1.2])
subplot(2,1,2)
plot(Data_RST_PID2(:,1),Data_RST_PID2(:,3),'r:','linewidth',1.5)


subplot(2,1,1)
ylabel('Output (Volt)')
xlabel('Time (s)')
title('Flexible transmission : Real Time PID comparison')
legend('Reference','Full RST','RST Reduction (CLOM): n_{R}=3,n_{S}=3','PID from RST Reduction (CLIM)','PID from RST Reduction (CLOM)',0)
axis([5 25 0 1.2])
grid on
subplot(2,1,2)
hold on
ylabel('Control signal (Volt)')
xlabel('Time (s)')
legend('Full RST','RST Reduction (CLOM): n_{R}=3,n_{S}=3','PID from RST Reduction (CLIM)','PID from RST Reduction (CLOM)',0)
axis([5 25 -0.2 1.2])
grid on
